
set( larreco_VERSION 02.01.01 )
set( larreco_UPS_VERSION v02_01_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
  find_ups_product( larcore v1_00_00 )
  find_ups_product( art v1_09_00 )
  find_ups_product( cppunit v1_12_1 )
  find_ups_product( gccxml v0_9 )
  find_ups_product( clhep v2_1_2_2 )
  find_ups_product( fhiclcpp v2_19_00 )
  find_ups_product( cetlib v1_03_02 )
  find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
  find_ups_product( messagefacility v1_10_00 )
  find_ups_product( sqlite v3_07_08_00 )
  find_ups_root( v5_34_00 )
  find_ups_product( tbb v4_1 )
  find_ups_product( lardata v1_00_00 )
  find_ups_product( nutools v1_00_00 )
  find_ups_product( genie v2_8_0c )
  find_ups_product( postgresql v9_1_5 )
  find_ups_product( larevt v1_00_00 )
  find_ups_product( larsim v1_00_00 )
  find_ups_product( geant4 geant4 )
  find_ups_product( xerces_c v3_0_0 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_EXTMODULES )
      cet_find_library( MF_EXTMODULES NAMES MF_ExtModules PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_VERSION )
      cet_find_library( ART_VERSION NAMES art_Version PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_UTILITIES )
      cet_find_library( ART_UTILITIES NAMES art_Utilities PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_ART )
      cet_find_library( ART_FRAMEWORK_ART NAMES art_Framework_Art PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_CORE )
      cet_find_library( ART_FRAMEWORK_CORE NAMES art_Framework_Core PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_EVENTPROCESSOR )
      cet_find_library( ART_FRAMEWORK_EVENTPROCESSOR NAMES art_Framework_EventProcessor PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO )
      cet_find_library( ART_FRAMEWORK_IO NAMES art_Framework_IO PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_CATALOG )
      cet_find_library( ART_FRAMEWORK_IO_CATALOG NAMES art_Framework_IO_Catalog PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX NAMES art_Framework_IO_ProductMix PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX_DICT )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX_DICT NAMES art_Framework_IO_ProductMix_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOTVERSION )
      cet_find_library( ART_FRAMEWORK_IO_ROOTVERSION NAMES art_Framework_IO_RootVersion PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT )
      cet_find_library( ART_FRAMEWORK_IO_ROOT NAMES art_Framework_IO_Root PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE NAMES art_Framework_IO_Root_RootInput_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE NAMES art_Framework_IO_Root_RootOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_SOURCES )
      cet_find_library( ART_FRAMEWORK_IO_SOURCES NAMES art_Framework_IO_Sources PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE NAMES art_Framework_Modules_BlockingPrescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE )
      cet_find_library( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE NAMES art_Framework_Modules_EmptyEvent_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE NAMES art_Framework_Modules_FileDumperOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PRESCALER_MODULE NAMES art_Framework_Modules_Prescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE NAMES art_Framework_Modules_ProvenanceCheckerOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE NAMES art_Framework_Modules_RandomNumberSaver_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_DICT )
      cet_find_library( ART_FRAMEWORK_MODULES_DICT NAMES art_Framework_Modules_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_PRINCIPAL )
      cet_find_library( ART_FRAMEWORK_PRINCIPAL NAMES art_Framework_Principal PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES )
      cet_find_library( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES NAMES art_Framework_Services_FileServiceInterfaces PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL NAMES art_Framework_Services_Optional PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE NAMES art_Framework_Services_Optional_RandomNumberGenerator_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE NAMES art_Framework_Services_Optional_SimpleInteraction_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE NAMES art_Framework_Services_Optional_SimpleMemoryCheck_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE NAMES art_Framework_Services_Optional_TFileService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE NAMES art_Framework_Services_Optional_Timing_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE NAMES art_Framework_Services_Optional_Tracer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE NAMES art_Framework_Services_Optional_TrivialFileDelivery_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE NAMES art_Framework_Services_Optional_TrivialFileTransfer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_REGISTRY )
      cet_find_library( ART_FRAMEWORK_SERVICES_REGISTRY NAMES art_Framework_Services_Registry PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE NAMES art_Framework_Services_System_CurrentModule_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE NAMES art_Framework_Services_System_FileCatalogMetadata_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE NAMES art_Framework_Services_System_FloatingPointControl_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE NAMES art_Framework_Services_System_PathSelection_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE NAMES art_Framework_Services_System_ScheduleContext_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE NAMES art_Framework_Services_System_TriggerNamesService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_USERINTERACTION )
      cet_find_library( ART_FRAMEWORK_SERVICES_USERINTERACTION NAMES art_Framework_Services_UserInteraction PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CLHEPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT NAMES art_Persistency_CLHEPDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON )
      cet_find_library( ART_PERSISTENCY_COMMON NAMES art_Persistency_Common PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON_DICT )
      cet_find_library( ART_PERSISTENCY_COMMON_DICT NAMES art_Persistency_Common_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE )
      cet_find_library( ART_PERSISTENCY_PROVENANCE NAMES art_Persistency_Provenance PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE_DICT )
      cet_find_library( ART_PERSISTENCY_PROVENANCE_DICT NAMES art_Persistency_Provenance_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_ROOTDB )
      cet_find_library( ART_PERSISTENCY_ROOTDB NAMES art_Persistency_RootDB PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_STDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_STDDICTIONARIES_DICT NAMES art_Persistency_StdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT NAMES art_Persistency_WrappedStdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CETLIBDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT NAMES art_Persistency_CetlibDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT NAMES art_Persistency_FhiclCppDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_EVENT-SHAPE_DICT )
      cet_find_library( TEST_INTEGRATION_EVENT-SHAPE_DICT NAMES test_Integration_event-shape_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_HIGH-MEMORY_DICT )
      cet_find_library( TEST_INTEGRATION_HIGH-MEMORY_DICT NAMES test_Integration_high-memory_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEOMETRY )
      cet_find_library( GEOMETRY NAMES Geometry PATHS ENV LARCORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEOMETRY_SERVICE )
      cet_find_library( GEOMETRY_SERVICE NAMES Geometry_service PATHS ENV LARCORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT STANDARDGEOMETRYHELPER_SERVICE )
      cet_find_library( STANDARDGEOMETRYHELPER_SERVICE NAMES StandardGeometryHelper_service PATHS ENV LARCORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GEOMETRYTEST_MODULE )
      cet_find_library( GEOMETRYTEST_MODULE NAMES GeometryTest_module PATHS ENV LARCORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SUMMARYDATA )
      cet_find_library( SUMMARYDATA NAMES SummaryData PATHS ENV LARCORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SUMMARYDATA_DICT )
      cet_find_library( SUMMARYDATA_DICT NAMES SummaryData_dict PATHS ENV LARCORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4FR )
      cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB )
    endif()
    if( NOT G4GMOCREN )
      cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB )
    endif()
    if( NOT G4OPENGL )
      cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB )
    endif()
    if( NOT G4RAYTRACER )
      cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB )
    endif()
    if( NOT G4TREE )
      cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB )
    endif()
    if( NOT G4VRML )
      cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB )
    endif()
    if( NOT G4ANALYSIS )
      cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB )
    endif()
    if( NOT G4DIGITS_HITS )
      cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB )
    endif()
    if( NOT G4ERROR_PROPAGATION )
      cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB )
    endif()
    if( NOT G4EVENT )
      cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB )
    endif()
    if( NOT G4GEOMETRY )
      cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB )
    endif()
    if( NOT G4GL2PS )
      cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB )
    endif()
    if( NOT G4GLOBAL )
      cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB )
    endif()
    if( NOT G4GRAPHICS_REPS )
      cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB )
    endif()
    if( NOT G4INTERCOMS )
      cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB )
    endif()
    if( NOT G4INTERFACES )
      cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB )
    endif()
    if( NOT G4MATERIALS )
      cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB )
    endif()
    if( NOT G4MODELING )
      cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB )
    endif()
    if( NOT G4PARMODELS )
      cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB )
    endif()
    if( NOT G4PARTICLES )
      cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB )
    endif()
    if( NOT G4PERSISTENCY )
      cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB )
    endif()
    if( NOT G4PHYSICSLISTS )
      cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB )
    endif()
    if( NOT G4PROCESSES )
      cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB )
    endif()
    if( NOT G4READOUT )
      cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB )
    endif()
    if( NOT G4RUN )
      cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB )
    endif()
    if( NOT G4TRACK )
      cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB )
    endif()
    if( NOT G4TRACKING )
      cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB )
    endif()
    if( NOT G4VISHEPREP )
      cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB )
    endif()
    if( NOT G4VISXXX )
      cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB )
    endif()
    if( NOT G4VIS_MANAGEMENT )
      cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB )
    endif()
    if( NOT G4ZLIB )
      cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB )
    endif()
    if( NOT PYTHIA6 )
      cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB )
    endif()
    if( NOT GALGORITHM )
      cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB )
    endif()
    if( NOT GBARYONRESONANCE )
      cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB )
    endif()
    if( NOT GBASE )
      cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB )
    endif()
    if( NOT GBODEKYANG )
      cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB )
    endif()
    if( NOT GCHARM )
      cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB )
    endif()
    if( NOT GCOH )
      cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB )
    endif()
    if( NOT GDFRC )
      cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB )
    endif()
    if( NOT GDIS )
      cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB )
    endif()
    if( NOT GCROSSSECTIONS )
      cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB )
    endif()
    if( NOT GDECAY )
      cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB )
    endif()
    if( NOT GELAS )
      cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB )
    endif()
    if( NOT GELFF )
      cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB )
    endif()
    if( NOT GHEP )
      cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB )
    endif()
    if( NOT GEVGCORE )
      cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB )
    endif()
    if( NOT GEVGMODULES )
      cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB )
    endif()
    if( NOT GEVGDRIVERS )
      cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB )
    endif()
    if( NOT GGIBUU )
      cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB )
    endif()
    if( NOT GHADRONTRANSP )
      cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB )
    endif()
    if( NOT GFRAGMENTATION )
      cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB )
    endif()
    if( NOT GINTERACTION )
      cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB )
    endif()
    if( NOT GLLEWELLYNSMITH )
      cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB )
    endif()
    if( NOT GMEC )
      cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB )
    endif()
    if( NOT GMESSENGER )
      cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB )
    endif()
    if( NOT GNUGAMMA )
      cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB )
    endif()
    if( NOT GNUE )
      cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB )
    endif()
    if( NOT GNTUPLE )
      cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB )
    endif()
    if( NOT GNUCLEAR )
      cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB )
    endif()
    if( NOT GNUMERICAL )
      cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB )
    endif()
    if( NOT GQPM )
      cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB )
    endif()
    if( NOT GPDG )
      cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB )
    endif()
    if( NOT GPDF )
      cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB )
    endif()
    if( NOT GQEL )
      cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB )
    endif()
    if( NOT GRES )
      cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB )
    endif()
    if( NOT GREGISTRY )
      cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB )
    endif()
    if( NOT GREINSEGHAL )
      cet_find_library( GREINSEGHAL NAMES GReinSeghal PATHS ENV GENIE_LIB )
    endif()
    if( NOT GUTILS )
      cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB )
    endif()
    if( NOT GGEO )
      cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB )
    endif()
    if( NOT GFLUXDRIVERS )
      cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB )
    endif()
    if( NOT GMUELOSS )
      cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB )
    endif()
    if( NOT GREWEIGHT )
      cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB )
    endif()
    if( NOT GNUCLEONDECAY )
      cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB )
    endif()
    if( NOT EVENTDISPLAYBASE )
      cet_find_library( EVENTDISPLAYBASE NAMES EventDisplayBase PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTDISPLAY_SERVICE )
      cet_find_library( EVENTDISPLAY_SERVICE NAMES EventDisplay_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SCANOPTIONS_SERVICE )
      cet_find_library( SCANOPTIONS_SERVICE NAMES ScanOptions_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTGENERATORBASECRY )
      cet_find_library( EVENTGENERATORBASECRY NAMES EventGeneratorBaseCRY PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTGENERATORBASEGENIE )
      cet_find_library( EVENTGENERATORBASEGENIE NAMES EventGeneratorBaseGENIE PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTGENERATORBASE_TEST_EVENTGENERATORTEST_MODULE )
      cet_find_library( EVENTGENERATORBASE_TEST_EVENTGENERATORTEST_MODULE NAMES EventGeneratorBase_test_EventGeneratorTest_module PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT G4BASE )
      cet_find_library( G4BASE NAMES G4Base PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MAGNETICFIELD_SERVICE )
      cet_find_library( MAGNETICFIELD_SERVICE NAMES MagneticField_service PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUBEAMWEIGHTS )
      cet_find_library( NUBEAMWEIGHTS NAMES NuBeamWeights PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUREWEIGHT )
      cet_find_library( NUREWEIGHT NAMES NuReweight PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUREWEIGHTART )
      cet_find_library( NUREWEIGHTART NAMES NuReweightArt PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT REWEIGHTANA_MODULE )
      cet_find_library( REWEIGHTANA_MODULE NAMES ReweightAna_module PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMULATIONBASE )
      cet_find_library( SIMULATIONBASE NAMES SimulationBase PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMULATIONBASE_DICT )
      cet_find_library( SIMULATIONBASE_DICT NAMES SimulationBase_dict PATHS ENV NUTOOLS_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_SERIALIZATION )
      cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BOOST_DATE_TIME )
      cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PQ )
      cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
    endif()
    if( NOT ANALYSISALG )
      cet_find_library( ANALYSISALG NAMES AnalysisAlg PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ANALYSISBASE )
      cet_find_library( ANALYSISBASE NAMES AnalysisBase PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ANALYSISBASE_DICT )
      cet_find_library( ANALYSISBASE_DICT NAMES AnalysisBase_dict PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT OPTICALDETECTORDATA )
      cet_find_library( OPTICALDETECTORDATA NAMES OpticalDetectorData PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT OPTICALDETECTORDATA_DICT )
      cet_find_library( OPTICALDETECTORDATA_DICT NAMES OpticalDetectorData_dict PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RAWDATA )
      cet_find_library( RAWDATA NAMES RawData PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RAWDATA_DICT )
      cet_find_library( RAWDATA_DICT NAMES RawData_dict PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RAWDATA_UTILS )
      cet_find_library( RAWDATA_UTILS NAMES RawData_utils PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARRAWINPUTSOURCE_SOURCE )
      cet_find_library( LARRAWINPUTSOURCE_SOURCE NAMES LArRawInputSource_source PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RECOBASE )
      cet_find_library( RECOBASE NAMES RecoBase PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RECOBASE_DICT )
      cet_find_library( RECOBASE_DICT NAMES RecoBase_dict PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RECOOBJECTS )
      cet_find_library( RECOOBJECTS NAMES RecoObjects PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT UTILITIES )
      cet_find_library( UTILITIES NAMES Utilities PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TIMESERVICE_SERVICE )
      cet_find_library( TIMESERVICE_SERVICE NAMES TimeService_service PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DATABASEUTIL_SERVICE )
      cet_find_library( DATABASEUTIL_SERVICE NAMES DatabaseUtil_service PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT DETECTORPROPERTIES_SERVICE )
      cet_find_library( DETECTORPROPERTIES_SERVICE NAMES DetectorProperties_service PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FILECATALOGMETADATAEXTRAS_SERVICE )
      cet_find_library( FILECATALOGMETADATAEXTRAS_SERVICE NAMES FileCatalogMetadataExtras_service PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARFFT_SERVICE )
      cet_find_library( LARFFT_SERVICE NAMES LArFFT_service PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARPROPERTIES_SERVICE )
      cet_find_library( LARPROPERTIES_SERVICE NAMES LArProperties_service PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARPROPTEST_MODULE )
      cet_find_library( LARPROPTEST_MODULE NAMES LArPropTest_module PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT KALMANFILTERTEST_MODULE )
      cet_find_library( KALMANFILTERTEST_MODULE NAMES KalmanFilterTest_module PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PROPTEST_MODULE )
      cet_find_library( PROPTEST_MODULE NAMES PropTest_module PATHS ENV LARDATA_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CALWIREANA_MODULE )
      cet_find_library( CALWIREANA_MODULE NAMES CalWireAna_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CALWIRE_MODULE )
      cet_find_library( CALWIRE_MODULE NAMES CalWire_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CALWIRET962_MODULE )
      cet_find_library( CALWIRET962_MODULE NAMES CalWireT962_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FFTTEST_MODULE )
      cet_find_library( FFTTEST_MODULE NAMES FFTTest_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FILTERS )
      cet_find_library( FILTERS NAMES Filters PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ADCFILTER_MODULE )
      cet_find_library( ADCFILTER_MODULE NAMES ADCFilter_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EMPTYFILTER_MODULE )
      cet_find_library( EMPTYFILTER_MODULE NAMES EmptyFilter_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT EVENTFILTER_MODULE )
      cet_find_library( EVENTFILTER_MODULE NAMES EventFilter_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FINALSTATEPARTICLEFILTER_MODULE )
      cet_find_library( FINALSTATEPARTICLEFILTER_MODULE NAMES FinalStateParticleFilter_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MUONFILTER_MODULE )
      cet_find_library( MUONFILTER_MODULE NAMES MuonFilter_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SMALLCLUSTERFILTER_MODULE )
      cet_find_library( SMALLCLUSTERFILTER_MODULE NAMES SmallClusterFilter_module PATHS ENV LAREVT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMWIREANA_MODULE )
      cet_find_library( SIMWIREANA_MODULE NAMES SimWireAna_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMWIRE_MODULE )
      cet_find_library( SIMWIRE_MODULE NAMES SimWire_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMWIRET962_MODULE )
      cet_find_library( SIMWIRET962_MODULE NAMES SimWireT962_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT WIENERFILTERANA_MODULE )
      cet_find_library( WIENERFILTERANA_MODULE NAMES WienerFilterAna_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FILEMUONS_MODULE )
      cet_find_library( FILEMUONS_MODULE NAMES FileMuons_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LIGHTSOURCE_MODULE )
      cet_find_library( LIGHTSOURCE_MODULE NAMES LightSource_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NDKGEN_MODULE )
      cet_find_library( NDKGEN_MODULE NAMES NDKGen_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT NUANCEGEN_MODULE )
      cet_find_library( NUANCEGEN_MODULE NAMES NUANCEGen_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SINGLEGEN_MODULE )
      cet_find_library( SINGLEGEN_MODULE NAMES SingleGen_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEXTFILEGEN_MODULE )
      cet_find_library( TEXTFILEGEN_MODULE NAMES TextFileGen_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT COSMICSGEN_MODULE )
      cet_find_library( COSMICSGEN_MODULE NAMES CosmicsGen_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT GENIEGEN_MODULE )
      cet_find_library( GENIEGEN_MODULE NAMES GENIEGen_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARG4 )
      cet_find_library( LARG4 NAMES LArG4 PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARG4ANA_MODULE )
      cet_find_library( LARG4ANA_MODULE NAMES LArG4Ana_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARG4_MODULE )
      cet_find_library( LARG4_MODULE NAMES LArG4_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARSIMCHANNELANA_MODULE )
      cet_find_library( LARSIMCHANNELANA_MODULE NAMES LArSimChannelAna_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BACKTRACKER_SERVICE )
      cet_find_library( BACKTRACKER_SERVICE NAMES BackTracker_service PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT BACKTRACKERLOADER_MODULE )
      cet_find_library( BACKTRACKERLOADER_MODULE NAMES BackTrackerLoader_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CHECKBACKTRACKING_MODULE )
      cet_find_library( CHECKBACKTRACKING_MODULE NAMES CheckBackTracking_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT RECOCHECKANA_MODULE )
      cet_find_library( RECOCHECKANA_MODULE NAMES RecoCheckAna_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PHOTONPROPAGATION )
      cet_find_library( PHOTONPROPAGATION NAMES PhotonPropagation PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PHOTONLIBRARYANALYZER_MODULE )
      cet_find_library( PHOTONLIBRARYANALYZER_MODULE NAMES PhotonLibraryAnalyzer_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT PHOTONVISIBILITYSERVICE_SERVICE )
      cet_find_library( PHOTONVISIBILITYSERVICE_SERVICE NAMES PhotonVisibilityService_service PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMULATION )
      cet_find_library( SIMULATION NAMES Simulation PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIMULATION_DICT )
      cet_find_library( SIMULATION_DICT NAMES Simulation_dict PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARVOXELCALCULATOR_SERVICE )
      cet_find_library( LARVOXELCALCULATOR_SERVICE NAMES LArVoxelCalculator_service PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT LARG4PARAMETERS_SERVICE )
      cet_find_library( LARG4PARAMETERS_SERVICE NAMES LArG4Parameters_service PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TRIGGERALGOBASE_SERVICE )
      cet_find_library( TRIGGERALGOBASE_SERVICE NAMES TriggerAlgoBase_service PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TRIGGERALGOMICROBOONE_SERVICE )
      cet_find_library( TRIGGERALGOMICROBOONE_SERVICE NAMES TriggerAlgoMicroBoone_service PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FILTERPRIMARYPDG_MODULE )
      cet_find_library( FILTERPRIMARYPDG_MODULE NAMES FilterPrimaryPDG_module PATHS ENV LARSIM_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( CLUSTERCHEATER_MODULE NAMES ClusterCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERCRAWLERSHOWER_MODULE NAMES ClusterCrawlerShower_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERCRAWLER_MODULE NAMES ClusterCrawler_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( CLUSTERPCA_MODULE NAMES ClusterPCA_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( DBCLUSTERANA_MODULE NAMES DBclusterAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( DBCLUSTER_MODULE NAMES DBcluster_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( ENDPOINTMODULE_MODULE NAMES EndPointModule_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHLINEFINDERANA_MODULE NAMES HoughLineFinderAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( HOUGHLINEFINDER_MODULE NAMES HoughLineFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( KINGACLUSTERANA_MODULE NAMES KingaClusterAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( KINGACLUSTER_MODULE NAMES KingaCluster_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( LINEMERGER_MODULE NAMES LineMerger_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERANGLECLUSTERANA_MODULE NAMES ShowerAngleClusterAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERANGLECLUSTER_MODULE NAMES ShowerAngleCluster_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SMALLCLUSTERFINDER_MODULE NAMES SmallClusterFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( FUZZYCLUSTER_MODULE NAMES fuzzyCluster_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( AGGREGATEEVENT_MODULE NAMES AggregateEvent_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTCHEATER_MODULE NAMES EventCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( EVENTMAKER_MODULE NAMES EventMaker_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( GENFIT NAMES Genfit PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( APAHITFINDER_MODULE NAMES APAHitFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( DISAMBIGCHEATER_MODULE NAMES DisambigCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( FFTHITFINDER_MODULE NAMES FFTHitFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( GAUSHITFINDERANA_MODULE NAMES GausHitFinderAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( GAUSHITFINDER_MODULE NAMES GausHitFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( HITCHEATER_MODULE NAMES HitCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( HITFINDERANA_MODULE NAMES HitFinderAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( RFFHITFINDER_MODULE NAMES RFFHitFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TTHITFINDER_MODULE NAMES TTHitFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( RECOALG NAMES RecoAlg PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERCHEATER_MODULE NAMES ShowerCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERFINDER_MODULE NAMES ShowerFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERRECO_MODULE NAMES ShowerReco_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SHOWERSELECTORFILTER_MODULE NAMES ShowerSelectorFilter_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( BEZIERTRACKERMODULE_MODULE NAMES BezierTrackerModule_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICTAGGER_MODULE NAMES CosmicTagger_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( COSMICTRACKER_MODULE NAMES CosmicTracker_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( FEATURETRACKER_MODULE NAMES FeatureTracker_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( MAGDRIFTANA_MODULE NAMES MagDriftAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SEEDANA_MODULE NAMES SeedAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SEEDFINDERMODULE_MODULE NAMES SeedFinderModule_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SPACEPOINTANA_MODULE NAMES SpacePointAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SPACEPOINTCHEATER_MODULE NAMES SpacePointCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SPACEPOINTFINDER_MODULE NAMES SpacePointFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( SPACEPTS_MODULE NAMES SpacePts_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACK3DKALMANHIT_MODULE NAMES Track3DKalmanHit_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACK3DRECO_MODULE NAMES Track3Dreco_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKANA_MODULE NAMES TrackAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKCHEATER_MODULE NAMES TrackCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKKALMANCHEATER_MODULE NAMES TrackKalmanCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACKSTITCHER_MODULE NAMES TrackStitcher_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACK3DKALMAN_MODULE NAMES Track3DKalman_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TRACK3DKALMANSPS_MODULE NAMES Track3DKalmanSPS_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( AGGREGATEVERTEXANA_MODULE NAMES AggregateVertexAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( AGGREGATEVERTEX_MODULE NAMES AggregateVertex_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( FEATUREVERTEXFINDERANA_MODULE NAMES FeatureVertexFinderAna_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( HARRISVERTEXFINDER_MODULE NAMES HarrisVertexFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( PRIMARYVERTEXFINDER_MODULE NAMES PrimaryVertexFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( VERTEXCHEATER_MODULE NAMES VertexCheater_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( VERTEXFINDER2D_MODULE NAMES VertexFinder2D_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( VERTEXMATCH_MODULE NAMES VertexMatch_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( FEATUREVERTEXFINDER_MODULE NAMES FeatureVertexFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( CORNERFINDER_MODULE NAMES CornerFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )
    cet_find_library( TTSPACEPOINTFINDER_MODULE NAMES TTSpacePointFinder_module PATHS ENV LARRECO_LIB NO_DEFAULT_PATH )

check_required_components(larreco)

